## opusdec opusdec |

## Properties

gboolean | apply-gain | Read / Write
gboolean | use-inband-fec | Read / Write

## Types and Values

struct | GstOpusDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstOpusDec

## Description

## Synopsis

### Element Information

plugin | opus
author | Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-opus

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 48000, 24000, 16000, 12000, 8000 }, channels=(int)[ 1, 8 ]

## Functions

## Types and Values

### struct GstOpusDec

    struct GstOpusDec;

## Property Details

### The `“apply-gain”` property

      “apply-gain”               gboolean

Apply gain if any is specified in the header.

Flags: Read / Write

Default value: TRUE

### The `“use-inband-fec”` property

      “use-inband-fec”           gboolean

Use forward error correction if available.

Flags: Read / Write

Default value: FALSE